org.apache.mina.filter.codec.statemachine

## Class ConsumeToLinearWhitespaceDecodingState

- java.lang.Object
- - org.apache.mina.filter.codec.statemachine.ConsumeToDynamicTerminatorDecodingState
  - - org.apache.mina.filter.codec.statemachine.ConsumeToLinearWhitespaceDecodingState

- All Implemented Interfaces:
    DecodingState

      public abstract class ConsumeToLinearWhitespaceDecodingState
      extends ConsumeToDynamicTerminatorDecodingState

  `DecodingState` which consumes all bytes until a space (0x20) or tab (0x09) character is reached. The terminator is skipped.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsumeToLinearWhitespaceDecodingState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isTerminator(byte b)` Determines whether the specified `byte` is a terminator.

    - ### Methods inherited from class org.apache.mina.filter.codec.statemachine.ConsumeToDynamicTerminatorDecodingState

      `decode, finishDecode, finishDecode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsumeToLinearWhitespaceDecodingState

          public ConsumeToLinearWhitespaceDecodingState()

  - ### Method Detail

    - #### isTerminator

          protected boolean isTerminator(byte b)

      Description copied from class: `ConsumeToDynamicTerminatorDecodingState`
      Determines whether the specified `byte` is a terminator.
      Specified by:
        `isTerminator` in class `ConsumeToDynamicTerminatorDecodingState`
      Parameters:
        `b` - the `byte` to check.
      Returns:
        `true` if the given byte is a space or a tab

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.